﻿using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;

namespace Metrolog_API.Models
{
	public class RoleModel
	{
		[BsonId]
		[BsonRepresentation(BsonType.ObjectId)]
		public string Id { get; set; } = string.Empty;

		[BsonElement("Default")]
		public bool Default { get; set; }

		[BsonElement("Name")]
		public string Name { get; set; }

		[BsonElement("Description")]
		public string Description { get; set; }

		[BsonElement("Permissions")]
		public List<string> Permissions { get; set; }
	}
}
