﻿using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;

namespace Metrolog_API.Models
{
	public class UserModel
	{
		[BsonId]
		[BsonRepresentation(BsonType.ObjectId)]
		public string Id { get; set; } = string.Empty;

		[BsonElement("TitlesFrontName")]
		public string TitlesFrontName { get; set; }

		[BsonElement("Name")]
		public string Name { get; set; }

		[BsonElement("Surname")]
		public string Surname { get; set; }

		[BsonElement("TitleBehindName")]
		public string TitlesBehindName { get; set; }

		[BsonElement("Email")]
		public string Email { get; set; }

		[BsonElement("Password")]
		public string Password { get; set; }

		[BsonElement("Roles")]
		public List<string> Roles { get; set; }
	}
}
